Bug 595551 - Review Request: ibus-table-mathwriter - ibus-table-mathwriter provides input method for writing Unicode Math symbols
Review Request: ibus-table-mathwriter - ibus-table-mathwriter provides input ...
Status: CLOSED DUPLICATE of bug 630932
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
: i18n
Depends On: 597035
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 19:21 EDT by Naveen Kumar
Modified: 2010-09-09 01:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 01:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naveen Kumar 2010-05-24 19:21:14 EDT
Spec & SRPM for F-13 & above:

Spec URL: http://nkumar.fedorapeople.org/ibus-table-mathwriter/ibus-table-mathwriter-1.0.0.20100521-1.fc13.src.rpm
SRPM URL: http://nkumar.fedorapeople.org/ibus-table-mathwriter/ibus-table-mathwriter.spec
Description: ibus-table-mathwriter provides input method for writing Unicode Mathematics symbols using IBus

Spec & SRPM for F-12
Spec URL: http://nkumar.fedorapeople.org/ibus-table-mathwriter-f12/ibus-table-mathwriter.spec
SRPM URL: http://nkumar.fedorapeople.org/ibus-table-mathwriter-f12/ibus-table-mathwriter-1.0.0.20100521-1.fc12.src.rpm
Description: ibus-table-mathwriter provides input method for writing Unicode Mathematics symbols using IBus

Hi! I would appreciate a review so that this package can get into fedora.
Comment 1 Caius Chance 2010-05-27 00:44:32 EDT
Hey Naveen,

As this is a GPLv3 licensed table, how about include that into ibus-table-others?

http://github.com/kaio/ibus-table-others/

I could add you commit permissions to the repository and pkgdb (once that is approved for CVS).
Comment 2 Naveen Kumar 2010-06-10 04:27:23 EDT
(In reply to comment #1)
> Hey Naveen,
> 
> As this is a GPLv3 licensed table, how about include that into
> ibus-table-others?
> 
> http://github.com/kaio/ibus-table-others/
> 
> I could add you commit permissions to the repository and pkgdb (once that is
> approved for CVS).    

Hi Kaio,

Sorry for replying late as I was on a leave for some time. I do not have any issues with adding it (ibus-table-mathwriter) to ibus-table-others. But I would need access (checkout & commit) to this table as the work is not fully complete yet. 

Also there is also something that I would like to add, that I might write an engine for mathematical input method using ibus API's in near future. In that case I would like you to suggest me the best possible course whether to merge it with ibus-table-others or keep it as a separate package.
Comment 3 Chen Lei 2010-06-10 04:55:09 EDT
> 
> Also there is also something that I would like to add, that I might write an
> engine for mathematical input method using ibus API's in near future. In that
> case I would like you to suggest me the best possible course whether to merge
> it with ibus-table-others or keep it as a separate package.    

If you want to write an new engine for ibus, then ibus-table-mathwriter seems not a proper name for this new engine. You may need another name for this package.
Comment 4 Naveen Kumar 2010-06-10 05:10:17 EDT
(In reply to comment #3)
> > 
> > Also there is also something that I would like to add, that I might write an
> > engine for mathematical input method using ibus API's in near future. In that
> > case I would like you to suggest me the best possible course whether to merge
> > it with ibus-table-others or keep it as a separate package.    
> 
> If you want to write an new engine for ibus, then ibus-table-mathwriter seems
> not a proper name for this new engine. You may need another name for this
> package.    

Yep, I think for the time being let us move it to ibus-table-others as I am not certain of writing it now. I will package it with different name then, because then it would be more than ibus-table-* & probably the behaviour & table format may also not be the same.

@kaio Please direct me with the next step.
Comment 5 Jens Petersen 2010-06-10 07:11:27 EDT
In that case probably you could close this bug or
reassign it to ibus-table-other to track the progress.
Comment 6 Jens Petersen 2010-09-09 01:48:35 EDT

*** This bug has been marked as a duplicate of bug 630932 ***

Note You need to log in before you can comment on or make changes to this bug.